Name:           qt5-gstreamer
Version:        1.2.0
Release:        15%{?dist}
Summary:        C++ bindings for GStreamer with a Qt-style API
License:        LGPLv2+
URL:            http://gstreamer.freedesktop.org/modules/qt-gstreamer.html
Source0:        http://gstreamer.freedesktop.org/src/qt-gstreamer/qt-gstreamer-%{version}.tar.xz

## TODO: consider retiring Qt4 builds, nothing in distro uses them anymore (since f24) -- rex

## upstream patches
Patch1: 0001-gstqtvideosink-fix-memory-leak-and-synchronization-i.patch
Patch2: 0002-CMakeLists.txt-actually-require-GStreamer-1.2.0.patch
Patch3: 0003-qtglvideosinkbase-don-t-use-variable-name-interface-.patch
Patch4: 0004-Add-pbutils-include-directory-to-include-paths.patch
Patch5: 0005-Workaround-build-failures-with-boost-1.57-and-moc.patch
Patch6: 0006-Fix-compilation-with-GStreamer-1.5.1.patch

## uptreamable patches
Patch100:  qt-gstreamer-1.2.0-boost_160.patch

BuildRequires:  automoc
BuildRequires:  cmake3
BuildRequires:  boost-devel
BuildRequires:  gstreamer1-plugins-base-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtdeclarative-devel

%description
QtGStreamer provides C++ bindings for GStreamer with a Qt-style
API, plus some helper classes for integrating GStreamer better
in Qt5 applications.


%package devel
Summary:        Header files and development documentation for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       boost-devel%{?_isa}
%description devel
This package contains the header files and development documentation
for %{name}.

%prep
%setup -n qt-gstreamer-1.2.0
%autopatch -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
cmake3 -DQT_VERSION=5 -DCMAKE_INSTALL_PREFIX=/usr ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

## unpackaged files
rm -rfv %{buildroot}%{_libdir}/qt5/imports/QtGStreamer/


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files 
%doc README
%license COPYING
%{_libdir}/gstreamer-1.0/libgstqt5videosink.so
%{_libdir}/libQt5GLib-2.0.so.0
%{_libdir}/libQt5GLib-2.0.so.1*
%{_libdir}/libQt5GStreamer-1.0.so.0
%{_libdir}/libQt5GStreamer-1.0.so.1*
%{_libdir}/libQt5GStreamerUi-1.0.so.0
%{_libdir}/libQt5GStreamerUi-1.0.so.1*
%{_libdir}/libQt5GStreamerUtils-1.0.so.0
%{_libdir}/libQt5GStreamerUtils-1.0.so.1*
%{_libdir}/libQt5GStreamerQuick-1.0.so.0
%{_libdir}/libQt5GStreamerQuick-1.0.so.1*
%{_libdir}/qt5/qml/QtGStreamer/

%files devel
%doc HACKING
%{_includedir}/Qt5GStreamer/
%{_libdir}/cmake/Qt5GStreamer/
%{_libdir}/libQt5GLib-2.0.so
%{_libdir}/libQt5GStreamer-1.0.so
%{_libdir}/libQt5GStreamerUi-1.0.so
%{_libdir}/libQt5GStreamerUtils-1.0.so
%{_libdir}/libQt5GStreamerQuick-1.0.so
%{_libdir}/pkgconfig/Qt5GLib-2.0.pc
%{_libdir}/pkgconfig/Qt5GStreamer-1.0.pc
%{_libdir}/pkgconfig/Qt5GStreamerUi-1.0.pc
%{_libdir}/pkgconfig/Qt5GStreamerUtils-1.0.pc
%{_libdir}/pkgconfig/Qt5GStreamerQuick-1.0.pc
%{_libdir}/pkgconfig/Qt5GStreamerQuick-1.0.pc


%changelog
* Tue May 22 2018 George -1.2.0-15
- Rebuild for qt5-5.9.2
- Remove Qt4 build

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jul 17 2016 Rex Dieter <rdieter@fedoraproject.org> - 1.2.0-11
- disable qt5-qtquick1 support (f24+)

* Wed Mar 16 2016 Rex Dieter <rdieter@fedoraproject.org> - 1.2.0-10
- pull in upstream fixes, cosmetics, use %%license
- patch to support building against boost-1.60

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Sep 26 2015 Alexey Kurov <nucleo@fedoraproject.org> - 1.2.0-8
- fix FTBS with gstreamer 1.5

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 1.2.0-6
- rebuild for Boost 1.58

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.2.0-4
- Rebuilt for GCC 5 C++11 ABI change

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 1.2.0-3
- Rebuild for boost 1.57.0

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jul  9 2014 Alexey Kurov <nucleo@fedoraproject.org> - 1.2.0-1
- qt-gstreamer-1.2.0
- switch to gstreamer1

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 0.10.3-3
- Rebuild for boost 1.55.0

* Fri Nov 15 2013 Alexey Kurov <nucleo@fedoraproject.org> - 0.10.3-2
- rebuilt for arm switch qreal double

* Wed Oct 16 2013 Alexey Kurov <nucleo@fedoraproject.org> - 0.10.3-1
- qt-gstreamer-0.10.3
- BR: qt5-qtbase-devel qt5-qtquick1-devel
- added qt5-gstreamer and qt5-gstreamer-devel subpackages
- remove Requires pulled in via automatic pkgconfig deps

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 0.10.2-5
- Rebuild for boost 1.54.0

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.10.2-4
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.10.2-3
- Rebuild for Boost-1.53.0

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 15 2012 Alexey Kurov <nucleo@fedoraproject.org> - 0.10.2-1
- qt-gstreamer-0.10.2

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Aug 31 2011 Alexey Kurov <nucleo@fedoraproject.org> - 0.10.1-2
- Fix compilation with glib 2.29 (FTBFS #716209)

* Thu Feb  3 2011 Alexey Kurov <nucleo@fedoraproject.org> - 0.10.1-1
- Initial RPM release
